## ros-kinetic-lms1xx 0.1.7

=== debian/changelog ===
ros-kinetic-lms1xx (0.1.7-1xenial) xenial; urgency=high

  * Fixed warning about inconsistent namespace redefinitions for xmlns:xacro.
  * Added inf to be set for min range
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sun, 19 Jan 2020 05:00:00 -0000

ros-kinetic-lms1xx (0.1.6-1xenial) xenial; urgency=high

  * Added max/min angle to gazebo plugin.
  * [ros params] Adding 'port' parameter. (#35 <https://github.com/clearpathrobotics/LMS1xx/issues/35>)
  * Add robot namespace to lidar plugin
  * Exposed parameters min_range and max_range
  * add parameters 'sample_size' and 'update_rate' for gazebo's ray plugin
  * Contributors: Achim, CyrillePierre, Mike Purvis, Paul Bovbel, Tony Baltovski, mailto:bikramak@aandkrobotics.com

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 04 May 2017 04:00:00 -0000

ros-kinetic-lms1xx (0.1.5-1xenial) xenial; urgency=high

  * Rework startup/reconnection logic.
  * Add roslaunch, roslint checks.
  * Other fixes, including a new buffer class with tests.
  * Add travis.
  * Apply astyle to original package.
  * Remove screen attribute from example launcher.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 18 Dec 2015 05:00:00 -0000

ros-kinetic-lms1xx (0.1.4-1xenial) xenial; urgency=high

  * Another startup bugfix.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 04 Sep 2015 04:00:00 -0000

ros-kinetic-lms1xx (0.1.3-1xenial) xenial; urgency=high

  * Added URDF with simulation plugin.
  * Added script to set static IP of LMS1xx
  * Fixed startup publishing issue
  * Removed one second delay in login
  * Contributors: Mike Purvis, Mustafa Safri, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 16 Jul 2015 04:00:00 -0000

ros-kinetic-lms1xx (0.1.2-1xenial) xenial; urgency=high

  * More robust startup for LMS1xs, retries instead of just dying.
  * Switch to console_bridge logouts, separate lib.
  * Remove buffer flush at conclusion.
  * Use LMS1xx reported configuration instead of capabilities for angle_min, max, etc...
  * Use output range query for min & max angles, num_values, and time_increment.
    Previously, the code would query the LMS1xx for its capabilities, which
    might exceed its current configuration (in terms of angle range).  Now, we
    query the LMS1xx for its configuration when setting scan parameters such
    as min & max angle, number of values reported, and time increment.
  * Add getScanOutputRange() to read outputRange data from the LMS1xx.
  * Contributors: Mike Purvis, Patrick Doyle

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-kinetic-lms1xx (0.1.1-1xenial) xenial; urgency=high

  * Changed the pkg and name so that the launch file is able to find the package.
  * Fix assignment in if() to comparison.
  * Contributors: Jeff Schmidt, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 18 Aug 2014 04:00:00 -0000

ros-kinetic-lms1xx (0.1.0-1xenial) xenial; urgency=high

  * Fix example launch file and install it.
  * Fix project name in CMakeLists.
  * Adding original author, readme
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 27 Feb 2014 05:00:00 -0000

ros-kinetic-lms1xx (0.0.1-1xenial) xenial; urgency=high

  * Initial release
  * Contributors: MLefebvre, Mike Purvis, Prasenjit Mukherjee

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 27 Feb 2014 05:00:00 -0000
